/* --- FILTER --- */
.filter-widget .side-widget__title::before {
  content: "\e959";
}
.filter {
  display: flex;
  flex-direction: column;
  position: relative;
}
.filter__block {
  border-bottom: 1px #d2e7fc solid;
  /*    padding: 10px 24px;*/
}
/*
.filter__block.slider {
    display: none;
}
.logged-in .filter__block.slider {
    display: block;
}
*/
/*
.filter__block.last {
    border: 0;
}
*/
.filter__title {
  font-weight: 500;
  font-size: 15px;
  line-height: 18px;
  color: #262f56;
  display: flex;
  align-items: center;
  padding: 25px 24px;
  cursor: pointer;
  background-color: #fff;
}
.filter__title:hover {
  background-color: #f4faff;
}

.filter__title::before {
  font-family: "Betru";
  margin-right: 15px;
  font-size: 18px;
}
.filter__title::after {
  font-family: "Betru";
  content: "\e906";
  margin-left: auto;
  font-size: 14px;
  -webkit-transition: all 0.25s linear;
  -moz-transition: all 0.25s linear;
  transition: all 0.25s linear;
}
.filter__title.opened::after {
  transform: rotate(180deg);
}
.filter__title.payments::before {
  content: "\e952";
}
.filter__title.country::before {
  content: "\e955";
}
.filter__title.bet::before {
  content: "\e956";
}
.filter__title.min-bet::before,
.sort-panel__item.min-bet::before {
  content: "\e95b";
}
.filter__title.languages::before {
  content: "\e954";
}
.filter__title.cashout::before,
.sort-panel__item.cashout::before {
  content: "\e953";
}
.filter__title.deposit::before,
.sort-panel__item.deposit::before {
  content: "\e958";
}
.filter__title.currency::before {
  content: "\e957";
}
.filter__title.bonus-type::before {
  content: "\e90f";
}
.filter__title.bonus-cond::before {
  content: "\e911";
}
.filter__title.actual::before {
  content: "\e95a";
}
.filter__title.bookmakers::before,
.sort-panel__item.bookmakers::before {
  content: "\e91e";
}
.filter__items {
  display: none;
  -webkit-transition: none;
  -moz-transition: none;
  transition: none;
  flex-direction: column;
  padding: 10px 24px;
}
.filter__items_item {
  font-weight: 300;
  font-size: 15px;
  line-height: 18px;
  color: #262f56;
  height: 34px;
  display: flex;
  align-items: center;
}
.filter__items_item input[type="checkbox"] {
  display: none;
}
.filter__items_item label {
  position: relative;
  display: flex;
  cursor: pointer;
  height: 100%;
  width: 100%;
  align-items: center;
}
.filter__items_item label::before {
  content: "";
  box-sizing: border-box;
  width: 19px;
  height: 19px;
  background-color: #fff;
  border: 1px solid #d9eafa;
  box-sizing: border-box;
  border-radius: 4px;
  display: block;
  margin-right: 20px;
}
.filter__items_item label::after {
  content: "";
  background-color: #00c659;
  border-radius: 2px;
  box-sizing: border-box;
  width: 13px;
  height: 13px;
  display: block;
  position: absolute;
  left: 3px;
  top: 0;
  bottom: 0;
  margin: auto;
  opacity: 0;
  -webkit-transition: all 0.25s linear;
  -moz-transition: all 0.25s linear;
  transition: all 0.25s linear;
}
.filter__items_item label:hover:after,
.filter__items_item input:checked ~ label::after {
  opacity: 1;
}
.filter__items_item.inputs-slide {
  height: auto;
  flex-wrap: wrap;
}
.inputs-slide__block {
  border: 1px solid #d9eafa;
  box-sizing: border-box;
  border-radius: 4px;
  height: 35px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin: 10px 0;
}
.inputs-slide__block_input {
  padding: 0 15px;
  width: 100%;
  box-sizing: border-box;
  display: flex;
  position: relative;
  align-items: center;
  justify-content: center;
}
.inputs-slide__block_input.last {
  justify-content: flex-end;
}
.inputs-slide__block_input.last::before {
  content: "-";
  position: absolute;
  left: -3px;
}
.inputs-slide__block_input span {
  font-weight: 500;
  font-size: 15px;
  line-height: 18px;
  color: #262f56;
}
.inputs-slide__block_value {
  margin-right: 5px;
  margin-left: 10px;
}
.inputs-slide__slider {
  width: 100%;
  margin: 15px 0;
}
.inputs-slide__slider_line {
  background: #00c659;
  border-radius: 20px;
  height: 8px;
  position: relative;
  display: block;
  width: 100%;
  cursor: pointer;
}
.inputs-slide__slider_line .ui-slider-range {
  background: #e9e9e9;
  border-radius: 0px 20px 20px 0px;
  height: 8px;
  position: absolute;
  display: block;
  right: -1px;
}
.inputs-slide__slider_line .ui-slider-handle {
  width: 21px;
  height: 21px;
  display: block;
  cursor: pointer;
  position: absolute;
  top: -8px;
}
.inputs-slide__slider_line .ui-slider-range,
.inputs-slide__slider_line .ui-slider-handle {
  -webkit-transition: none;
  -moz-transition: none;
  transition: none;
}
.inputs-slide__slider_line .ui-slider-handle::before {
  content: "";
  background: conic-gradient(
    from 180deg at 50% 50%,
    #c4c4c4 0deg,
    #ffffff 28.12deg,
    #f3f3f3 93.75deg,
    #cfcfcf 144.37deg,
    #ffffff 198.75deg,
    #e0e0e0 283.13deg,
    #c4c4c4 360deg
  );
  border: 1px solid #e1e1e1;
  box-sizing: border-box;
  box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.31);
  width: 21px;
  height: 21px;
  border-radius: 50%;
  position: absolute;
  left: -6px;
}
.inputs-slide__slider_line .ui-slider-handle:focus {
  outline: 0;
}

.filter__bottom {
  padding: 20px 0;
  display: flex;
  justify-content: space-evenly;
}
.filter__bottom .btn {
  width: 146px;
  height: 50px;
  padding: 0;
  display: flex;
  align-items: center;
  font-size: 14px;
  line-height: 17px;
  font-weight: 500;
}
.filter__bottom .btn:disabled {
  background-color: #00c659;
  color: #fff;
  border: 0;
  cursor: not-allowed;
}
#reset-filter {
  background-color: #d9eafa;
  color: #262f56;
}
#reset-filter:hover {
  background-color: #dcdcdc;
}
.filter-block-mobile,
.filter-block-tablet {
  display: none;
}

/* -- Sorting Panel --- */
.sort-panel {
  display: flex;
  justify-content: space-between;
  padding: 10px 25px;
  border-bottom: 1px solid #d9eafa;
}
.sort-panel__keys {
  display: flex;
}
.sort-panel__order {
  display: flex;
  justify-content: flex-end;
}
.sort-panel__item {
  background-color: #f6f6f6;
  border-radius: 9px;
  font-weight: 500;
  font-size: 13px;
  height: 32px;
  text-align: center;
  justify-content: center;
  line-height: 23px;
  display: flex;
  align-items: center;
  box-shadow: inset 0px 0px 4px rgba(0, 0, 0, 0.15);
  color: #262f56;
}
.sort-panel__item.active,
.sort-panel__item:hover {
  color: #fff;
  background-color: #00c659;
}
.sort-panel__keys .sort-panel__item {
  padding: 0 10px;
  margin-right: 8px;
}
.sort-panel__order .sort-panel__item {
  width: 32px;
}
.sort-panel__order .sort-panel__item.first {
  margin-right: 8px;
}
.sort-panel__item::before {
  font-family: "Betru";
  margin-right: 7px;
}
.sort-panel__item.down::before,
.sort-panel__item.up::before {
  content: "\e95c";
  margin-right: 0;
}
.sort-panel__item.down::before {
  transform: rotate(180deg);
}

@media screen and (max-width: 1100px) and (min-width: 992px) {
  .filter__bottom .btn {
    width: 120px;
    height: 45px;
    font-size: 13px;
  }
}
@media screen and (min-width: 992px) {
  .filter-widget.sticky {
    padding-bottom: 90px;
  }
  .filter-widget.sticky .filter__bottom {
    position: fixed;
    /*        width: 341px;*/
    /*        background: linear-gradient(0deg, #fff 50%, transparent 100%);*/

    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#ffffff+0,ffffff+100&0+0,1+50 */
    background: -moz-linear-gradient(
      top,
      rgba(255, 255, 255, 0) 0%,
      rgba(255, 255, 255, 1) 50%,
      rgba(255, 255, 255, 1) 100%
    ); /* FF3.6-15 */
    background: -webkit-linear-gradient(
      top,
      rgba(255, 255, 255, 0) 0%,
      rgba(255, 255, 255, 1) 50%,
      rgba(255, 255, 255, 1) 100%
    ); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(
      to bottom,
      rgba(255, 255, 255, 0) 0%,
      rgba(255, 255, 255, 1) 50%,
      rgba(255, 255, 255, 1) 100%
    ); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#ffffff',GradientType=0 ); /* IE6-9 */

    bottom: 0;
  }
}
@media (max-width: 991px) {
  /* -- GLOBAL -- */
  .main-content {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
  }
  .filter-block,
  .filter-block-tablet {
    width: 48%;
  }
  .bookmakers-list,
  .text-block {
    width: 100%;
  }
  /* -- // -- // -- */
  .filter-block-tablet {
    background-color: #06cb5f;
    border-radius: 16px;
    min-height: 1px;
    display: block;
    margin-bottom: 24px;
  }
  .filter-widget {
    margin-bottom: 0;
    opacity: 0;
    width: 100%;
  }
  .filter-widget .side-widget__title {
    padding: 0 24px;
    height: 62px;
    display: flex;
    align-items: center;
  }
  .filter-widget.show {
    opacity: 1;
  }
  .filter {
    overflow: auto;
  }
  .filter__title::after {
    font-size: 9px;
  }
  .filter__bottom {
    position: sticky;
    width: 100%;
    bottom: 0;
    /*        background: linear-gradient(0deg, #fff 50%, transparent 100%);*/

    background: -moz-linear-gradient(
      top,
      rgba(255, 255, 255, 0) 0%,
      rgba(255, 255, 255, 1) 50%,
      rgba(255, 255, 255, 1) 100%
    ); /* FF3.6-15 */
    background: -webkit-linear-gradient(
      top,
      rgba(255, 255, 255, 0) 0%,
      rgba(255, 255, 255, 1) 50%,
      rgba(255, 255, 255, 1) 100%
    ); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(
      to bottom,
      rgba(255, 255, 255, 0) 0%,
      rgba(255, 255, 255, 1) 50%,
      rgba(255, 255, 255, 1) 100%
    ); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#ffffff',GradientType=0 ); /* IE6-9 */
    padding-top: 30px;
  }
}

@media (max-width: 700px) {
  .sort-panel__keys {
    flex-wrap: wrap;
  }

  .sort-panel__keys .sort-panel__item {
    margin-right: 5px;
    margin-bottom: 8px;

    font-size: 10px;
  }
}

@media (max-width: 650px) {
  .filter-block-mobile {
    height: 64px;
    background-color: #06cb5f;
    border-radius: 16px;
    margin-bottom: 23px;
    display: block;
    width: 48%;
  }
  .filter-widget {
    transition: all 0.25s linear;
  }

  .filter-block-tablet,
  .filter {
    display: none;
  }

  .filter-widget.opened {
    display: flex;
    flex-direction: column;
    position: fixed;
    z-index: 10;
    left: 0;
    top: 0;
    height: 100vh;
    width: 100%;
    transition: all 0.25s linear;
    overflow-y: auto;
    border-radius: 0;
    border: none;
  }

  .filter-widget .side-widget__title {
    position: relative;
    font-size: 18px;
  }

  .filter-widget.opened .side-widget__title {
    height: 82px;
    border-radius: 0;
    flex: 0 0 auto;
  }
  .filter__block.last {
    margin-bottom: 175px;
  }
  .filter__bottom {
    position: fixed;
  }
  .filter__bottom .btn {
    width: 165px;
  }

  .filter-widget.opened .filter {
    display: block;
    flex: 1 0 auto;
  }

  .filter-widget .side-widget__title::after {
    position: absolute;
    top: 50%;
    right: 25px;
    transform: translateY(-50%) rotate(-90deg);
    font-family: "Betru";
    content: "\e906";
    font-size: 10px;
    line-height: normal;
    transition: all 0.25s linear;
  }

  .filter-widget.opened .side-widget__title::after {
    content: "\e903";
    font-size: 17px;
    transition: all 0.25s linear;
  }
}
@media screen and (max-width: 600px) {
  .sort-panel {
    padding: 10px 15px;
  }
}
@media (max-width: 550px) {
  .filter-block-mobile,
  .filter-block {
    width: 100%;
  }
}
@media (max-width: 375px) {
  .filter__bottom .btn {
    width: 140px;
  }
}
